Skip to main content
DELETE
/
api
/
payments
/
prices
/
{priceId}
Archive Price
curl --request DELETE \
  --url https://api.example.com/api/payments/prices/{priceId} \
  --header 'Authorization: Bearer <token>'
{
  "price": {
    "environment": "test",
    "stripePriceId": "price_123",
    "stripeProductId": "prod_123",
    "active": true,
    "currency": "usd",
    "unitAmount": 2900,
    "unitAmountDecimal": "2900",
    "type": "recurring",
    "lookupKey": "pro_monthly",
    "billingScheme": "per_unit",
    "taxBehavior": "unspecified",
    "recurringInterval": "month",
    "recurringIntervalCount": 1,
    "metadata": {},
    "syncedAt": "2023-11-07T05:31:56Z"
  },
  "archived": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

priceId
string
required

Stripe price ID.

Minimum string length: 1

Query Parameters

environment
enum<string>
required

Stripe environment.

Available options:
test,
live

Response

Price archived

price
object
required
archived
boolean
required